[page:BufferGeometry] → [page:PolyhedronGeometry] →

# [name]

A class for generating a tetrahedron geometries.

## Constructor

### [name]([param:Float radius], [param:Integer detail])

radius — Radius of the tetrahedron. Default is `1`.
detail — Default is `0`. Setting this to a value greater than `0` adds vertices making it no longer a tetrahedron.

## Properties

See the base [page:PolyhedronGeometry] class for common properties.

### [property:Object parameters]

An object with a property for each of the constructor parameters. Any modification after instantiation does not change the geometry.

## Methods

See the base [page:PolyhedronGeometry] class for common methods.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]